Google は、黒人コミュニティに対する人種平等の促進に取り組んでいます。取り組みを見る

Android のセキュリティに関する公開情報 - 2020 年 6 月

2020 年 6 月 1 日公開 | 2020 年 6 月 30 日更新

Android のセキュリティに関する公開情報には、Android デバイスに影響を与えるセキュリティの脆弱性の詳細を掲載しています。セキュリティ パッチレベル 2020-06-05 以降では、下記のすべての問題に対処しています。デバイスのセキュリティ パッチレベルを確認する方法については、Android のバージョンを確認して更新するをご覧ください。

Android パートナーには、情報公開の 1 か月前までにすべての問題が通知されます。Android オープンソース プロジェクト(AOSP)のリポジトリに、下記の問題に対するソースコードのパッチをリリースしています。また、この公開情報では、これらのパッチへのリンクに加え、AOSP 以外のパッチへのリンクも掲載しています。

下記の問題のうち最も重大度の高いものは、システム コンポーネントで特定された重大なセキュリティの脆弱性です。リモートの攻撃者がトラフィックを細工して、特権プロセス内で任意コードを実行できる危険性があります。 重大度の評価は、攻撃対象のデバイスでその脆弱性が悪用された場合の影響に基づきます。プラットフォームやサービスでのリスク軽減策が開発目的で、または不正な回避策により無効となっていると仮定しています。

Android セキュリティ プラットフォームの保護や Google Play プロテクトについて詳しくは、Android と Google Play プロテクトでのリスク軽減策をご覧ください。こうした保護により、Android プラットフォームのセキュリティが改善されます。

Android と Google サービスでのリスク軽減策

ここでは、Android セキュリティ プラットフォームGoogle Play プロテクトのようなサービスによる保護でリスクを軽減する手段について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らすものです。

  • Android プラットフォームの最新版での機能強化により、Android 上の多くの問題の悪用が困難になります。Google では、すべてのユーザーに対し、できる限り最新版の Android に更新することをおすすめしています。
  • Android セキュリティ チームは、Google Play プロテクトによって脆弱性の悪用を積極的に監視しており、有害な可能性があるアプリについてユーザーに警告しています。Google Play プロテクトは、Google モバイル サービスを搭載したデバイスではデフォルトで有効になっており、Google Play 以外からアプリをインストールするユーザーにとっては特に重要です。

セキュリティ パッチレベル 2020-06-01 の脆弱性の詳細

以下に、パッチレベル 2020-06-01 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。 下記の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。 問題の対処法として一般公開されている変更内容(AOSP の変更の一覧など)が参照可能な場合は、バグ ID の欄にその情報へのリンクがあります。 複数の変更が同じバグに関係する場合は、バグ ID の後に続く番号で、追加の参照先へのリンクを示します。 Android 10 以降を搭載したデバイスは、セキュリティ アップデートと Google Play システム アップデートを受信することがあります。

フレームワーク

フレームワークの最も重大な脆弱性により、悪意のあるローカルアプリによって、追加権限を取得するためのユーザー操作の要件が回避されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2020-0114
A-147606347 EoP 10
CVE-2020-0115
A-150038428 EoP 8.0、8.1、9、10
CVE-2020-0121
A-148180766 [2] ID 10

メディア フレームワーク

メディア フレームワークの最も重大な脆弱性により、悪意のあるローカルアプリによって、追加権限を取得するためのユーザー操作の要件が回避されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2020-0118
A-150904694 EoP 10
CVE-2020-0113
A-150944913 ID 9、10

システム

システムの最も重大な脆弱性により、リモートの攻撃者がトラフィックを細工して、特権プロセス内で任意コードを実行できる危険性があります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2020-0117
A-151155194 RCE 重大 8.0、8.1、9、10
CVE-2020-8597
A-151153886 RCE 重大 8.0、8.1、9、10
CVE-2020-0116
A-151330809 ID 10
CVE-2020-0119
A-150500247 [2] ID 10

Google Play システム アップデート

今月は Google Play システム アップデート(プロジェクト Mainline)で対処されたセキュリティ問題はありません。

セキュリティ パッチレベル 2020-06-05 の脆弱性の詳細

以下に、パッチレベル 2020-06-05 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。 下記の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。 問題の対処法として一般公開されている変更内容(AOSP の変更の一覧など)が参照可能な場合は、バグ ID の欄にその情報へのリンクがあります。 複数の変更が同じバグに関係する場合は、バグ ID の後に続く番号で、追加の参照先へのリンクを示します。

システム

システムの脆弱性により、リモートの攻撃者によって、追加権限を取得するためのユーザー操作の要件が回避されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2019-9460
A-62535446 EoP 10

カーネル コンポーネント

カーネル コンポーネントの最も重大な脆弱性により、ローカルの攻撃者がアプリを細工して、特権プロセス内で任意コードを実行できる危険性があります。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2020-8647
A-149079134
アップストリーム カーネル
EoP カーネル TTY のサポート
CVE-2020-8648
A-149079230
アップストリーム カーネル [2] [3]
EoP カーネル TTY のサポート
CVE-2020-8428
A-148713787
アップストリーム カーネル [2]
ID カーネル

Qualcomm コンポーネント

Qualcomm コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2017-9704
A-35099636
QC-CR#2013052 [2]
QC-CR#2070526
QC-CR#2076578 [2]
なし カメラ
CVE-2019-14047
A-145545249
QC-CR#2279971 [2]
なし カーネル
CVE-2020-3665
A-150697775
QC-CR#2174506
なし WLAN
CVE-2019-9460
A-66876469
QC-CR#2207338 *
なし ディスプレイ

Qualcomm クローズドソース コンポーネント

Qualcomm クローズドソース コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2019-14073
A-145546513* なし 重大 クローズドソース コンポーネント
CVE-2019-14080
A-145545821* なし 重大 クローズドソース コンポーネント
CVE-2019-10597
A-145545755* なし クローズドソース コンポーネント
CVE-2019-14062
A-145545091* なし クローズドソース コンポーネント
CVE-2019-14076
A-145545285* なし クローズドソース コンポーネント
CVE-2020-3614
A-140973436* なし クローズドソース コンポーネント
CVE-2020-3626
A-150697952* なし クローズドソース コンポーネント
CVE-2020-3628
A-150695508* なし クローズドソース コンポーネント
CVE-2020-3635
A-148817146* なし クローズドソース コンポーネント
CVE-2020-3642
A-150697435* なし クローズドソース コンポーネント
CVE-2020-3658
A-150697838* なし クローズドソース コンポーネント
CVE-2020-3660
A-150695050* なし クローズドソース コンポーネント
CVE-2020-3661
A-150695169* なし クローズドソース コンポーネント
CVE-2020-3662
A-150696661* なし クローズドソース コンポーネント
CVE-2020-3663
A-150697436* なし クローズドソース コンポーネント
CVE-2020-3676
A-152310294* なし クローズドソース コンポーネント

一般的な質問と回答

上記の公開情報に対する一般的な質問とその回答は以下のとおりです。

1. 上記の問題に対処するようにデバイスが更新されているかどうかを確かめるには、どうすればよいですか?

デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

  • セキュリティ パッチレベル 2020-06-01 以降では、セキュリティ パッチレベル 2020-06-01 に関連するすべての問題に対処しています。
  • セキュリティ パッチレベル 2020-06-055 以降では、セキュリティ パッチレベル 2020-06-05、およびそれ以前のすべてのパッチレベルに関連するすべての問題に対処しています。

デバイス メーカーは、こうしたアップデートを組み込む場合、パッチレベル文字列を以下のとおり設定する必要があります。

  • [ro.build.version.security_patch]:[2020-06-01]
  • [ro.build.version.security_patch]:[2020-06-05]

Android 10 以降を搭載した一部のデバイスでは、Google Play システム アップデートに、セキュリティ パッチレベル 2020-06-01 と一致する日付文字列が含まれます。セキュリティ アップデートのインストール方法について詳しくは、こちらの記事をご覧ください。

2. この公開情報に 2 つのセキュリティ パッチレベルがあるのはなぜですか?

この公開情報では、2 つのセキュリティ パッチレベルを定義しています。これは、すべての Android デバイスにまたがる同様の脆弱性をひとまとめにして、Android パートナーが迅速かつ柔軟に修正できるようにするためです。Android パートナーは、この公開情報に掲載されている問題をすべて修正し、最新のセキュリティ パッチレベルを使用することが推奨されています。

  • 2020-06-01 のセキュリティ パッチレベルを使用するデバイスには、そのセキュリティ パッチレベルに関連するすべての問題と、それ以前のセキュリティに関する公開情報で報告されたすべての問題の修正を含める必要があります。
  • 2020-06-05 以降のセキュリティ パッチレベルを使用するデバイスには、今回(およびそれ以前)のセキュリティに関する公開情報に掲載された、該当するすべてのパッチを組み込む必要があります。

パートナーには、対処するすべての問題の修正を 1 つのアップデートにまとめて提供することが推奨されています。

3. 「タイプ」列の項目はどういう意味ですか?

脆弱性の詳細の表で「タイプ」列に記載した項目は、セキュリティの脆弱性の分類を示しています。

略語 定義
RCE リモートコード実行
EoP 権限昇格
ID 情報開示
DoS サービス拒否
なし 該当する分類なし

4. 「参照」列の項目はどういう意味ですか?

脆弱性の詳細の表で「参照」列に記載した項目には、その参照番号が属する組織を示す接頭辞が含まれる場合があります。

接頭辞 参照
A- Android バグ ID
QC- Qualcomm の参照番号
M- MediaTek の参照番号
N- NVIDIA の参照番号
B- Broadcom の参照番号

5. 「参照」列の Android バグ ID の横にある「*」はどういう意味ですか?

公開されていない問題には、「参照」列の Android バグ ID の横に「*」を付けています。この問題のアップデートは、Google デベロッパー サイトから入手できる Pixel デバイス用最新バイナリ ドライバに通常含まれています。

6. セキュリティの脆弱性が、この公開情報とデバイスやパートナーのセキュリティに関する公開情報(Pixel のセキュリティに関する公開情報など)に分けられているのはなぜですか?

Android デバイスの最新のセキュリティ パッチレベルを宣言するためには、このセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処が必要となります。それ以外の、デバイスやパートナーのセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処は必須ではありません。また、Android デバイスやチップセットのメーカー(GoogleHuaweiLGEMotorolaNokiaSamsung など)からも、各社製品に固有のセキュリティの脆弱性に関する詳細情報が公開される場合があります。

バージョン

バージョン 日付 メモ
1.0 2020 年 6 月 1 日 情報公開
1.1 2020 年 6 月 2 日 公開情報を改訂し AOSP リンクを追加
1.2 2020 年 6 月 11 日 CVE の表を改訂
1.3 2020 年 6 月 30 日 CVE の表を改訂